Skip to main content
GET
/
virtual-wallets
/
holding
curl -X GET "https://api.cryptomate.me/virtual-wallets/holding?blockchain=POLYGON" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
{
  "id": "hw_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "alias": "Main Holding Wallet",
  "wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
  "blockchain": "POLYGON"
}
Retrieves the holding wallet for the specified blockchain. Solana is not supported. Requires an API key with access level 1 or higher.

Query parameters

blockchain
string
required
Blockchain to retrieve the holding wallet for. One of ETHEREUM, POLYGON, BSC, ARBITRUM, OPTIMISM, BASE, AVALANCHE.

Response

id
string
Unique holding wallet identifier.
alias
string
Wallet alias or display name.
wallet_address
string
On-chain wallet address.
blockchain
string
Blockchain network.
curl -X GET "https://api.cryptomate.me/virtual-wallets/holding?blockchain=POLYGON" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
{
  "id": "hw_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "alias": "Main Holding Wallet",
  "wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
  "blockchain": "POLYGON"
}